#!/bin/sh
#
#  Script %name:	rss.sh %
#  Instance:		1
#  %version:		1 %
#  Description:		
#  %created_by:		laronov %
#  %date_created:	Thu Nov 27 17:53:08 CST 2014 %


[ "${generate_debug}" = "Y" ] && set -x



# get file/directory name and return it as absoulte path
fix_path()
{
    [ "${generate_debug}" = "Y" ] && set -x

    base_name=`basename "${1}"` # script name
    dir_name=`dirname "${1}"`   # directory path

    [ "${dir_name}" = "." ] && dir_name=`pwd`

# make sure directory path is absoulte
    first_char=`echo "${dir_name}" | cut -c1`
    [ "${first_char}" = "/" ] || dir_name=`pwd`/${dir_name}
    [ "${dir_name}"   = "/" ] && dir_name='' # avoid the extra '/'

    echo "${dir_name}/${base_name}"
}

PrintRssCheck()
{
    [ "${generate_debug}" = "Y" ] && set -x
    comand="grep -w $USER ${OutputDirectory}/rss.out"
    line=`eval ${comand}`
    if [ $? -ne 0 ]; then
		echo "[$USER] not found in /etc/project"
		exit 1
    fi
    output=`echo "${line}" | awk -F= '/'"$USER"'::rcap.max-rss/ {print $2}'`
	if [ -z ${output} ]; then
		echo "rcap.max-rss attribute is not defined for [$USER] in /etc/project"
		exit 1
	fi	
    echo ${output}
    exit 0
}

OutputDirectory=`fix_path "${HOME}"`
if [ -d "${OutputDirectory}/BMCINSTALL/log" ]; then
    OutputDirectory="${OutputDirectory}/BMCINSTALL/log"
fi

if [ -f ${OutputDirectory}/rss.out ]; then
    rm -f ${OutputDirectory}/rss.out
fi

touch ${OutputDirectory}/rss.out
if [ $? -ne 0 ]; then
    echo "Wrong HOME directory permissions!"
    echo "Can not create ${OutputDirectory}/rss.out file"
    exit 1
fi

output=`cat /etc/project`
if [ $? -ne 0 ]; then
	echo "Failed to find /etc/project"
	exit 1
fi
echo "${output}" >> ${OutputDirectory}/rss.out

PrintRssCheck




