#!/bin/sh
#
#  Script %name:	ulimit.sh %
#  Instance:		1
#  %version:		3 %
#  Description:		
#  %created_by:		psimonov %
#  %date_created:	Thu Nov 27 17:53:08 CST 2014 %


[ "${generate_debug}" = "Y" ] && set -x
SupportedFlags="-n -f"


# get file/directory name and return it as absoulte path
fix_path()
{
    [ "${generate_debug}" = "Y" ] && set -x

    base_name=`basename "${1}"` # script name
    dir_name=`dirname "${1}"`   # directory path

    [ "${dir_name}" = "." ] && dir_name=`pwd`

# make sure directory path is absoulte
    first_char=`echo "${dir_name}" | cut -c1`
    [ "${first_char}" = "/" ] || dir_name=`pwd`/${dir_name}
    [ "${dir_name}"   = "/" ] && dir_name='' # avoid the extra '/'

    echo "${dir_name}/${base_name}"
}

PrintUlimitValueByFlag()
{
    [ "${generate_debug}" = "Y" ] && set -x
    flag=$1
    comand="grep '\\${flag}' ${OutputDirectory}/ulimit.out"
    line=`eval ${comand}`
    if [ $? -ne 0 ]; then
	echo "No ${flag} ouptut in ${OutputDirectory}/ulimit.out"
	exit 1
    fi
    output=`echo "${line}" | awk '{print $2}'`
    echo ${output}
    exit 0
}

OutputDirectory=`fix_path "${HOME}"`
if [ -d "${OutputDirectory}/BMCINSTALL/log" ]; then
    OutputDirectory="${OutputDirectory}/BMCINSTALL/log"
fi

if [ $# -gt 0 ]; then
    PrintUlimitValueByFlag $*
    exit 0
fi

if [ -f ${OutputDirectory}/ulimit.out ]; then
    rm -f ${OutputDirectory}/ulimit.out
fi

touch ${OutputDirectory}/ulimit.out
if [ $? -ne 0 ]; then
    echo "Wrong HOME directory permissions!"
    echo "Can not create ${OutputDirectory}/ulimit.out file"
    exit 1
fi

for flag in ${SupportedFlags}
do
    output=`ulimit "${flag}"`
    if [ $? -ne 0 ]; then
	echo "Failed to get ulimit: ulimit ${flag}"
	exit 1
    fi
    echo "${flag} ${output}" >> ${OutputDirectory}/ulimit.out
done

